/***금융자산과 부채액 구성하기***/ 


clear
cd "D:\klips\Stata"

use klips22p, replace 

/**금융자산**/

// h**2561: (조사당시) 금융자산 소유여부-1.은행예금
// h**2562: (조사당시) 금융자산 총액-1.은행예금
// h**2563: (조사당시) 금융자산 소유여부-2.주식/채권/신탁
// h**2564: (조사당시) 금융자산 총액-2.주식/채권/신탁
// h**2565: (조사당시) 금융자산 소유여부-3.저축성보험
// h**2566: (조사당시) 금융자산 총액-3.저축성보험
// h**2567: (조사당시) 금융자산 소유여부-4.아직 타지않은 계
// h**2568: (조사당시) 금융자산 총액-4.아직 타지않은 계
// h**2569: (조사당시) 금융자산 소유여부-5.개인적으로 다른사람에게 빌려준돈
// h**2570: (조사당시) 금융자산 총액-5.개인적으로 다른사람에게 빌려준돈
// h**2571: (조사당시) 금융자산 소유여부-6.기타
// h**2572: (조사당시) 금융자산 총액-6.기타

// 결측치 처리 //
recode h222562 h222564 h222566 h222568 h222570 h222572 (-1=.) 

gen fin_y=1 if h222561==1 | h222563==1 | h222565==1 | h222567==1 | h222569==1 | h222571==1 
lab var fin_y "금융자산 소유여부" 
gen fin1 = h222562 
lab var fin1 "은행예금 액수"
gen fin2 = h222564 
lab var fin2 "주식,채권,신탁 액수"
gen fin3 = h222566 
lab var fin3 "저축석보험 액수"
gen fin4 = h222568 
lab var fin4 "아직타지 않은 계 액수"
gen fin5 = h222570 
lab var fin5 "개인적으로 다른 사람에게 빌려준 돈 액수"
gen fin6 = h222572 
lab var fin6 "기타 금융자산 액수"
egen fin = rowtotal(fin1-fin6), m 
lab var fin "금융자산 총액"

/**부채**/

// h**2601: (조사당시) 부채유무-1.금융기관 부채 
// h**2602: (조사당시) 부채잔액-1.금융기관 부채 
// h**2604: (조사당시) 부채유무-2.비금융기관 부채
// h**2605: (조사당시) 부채잔액-2.비금융기관 부채
// h**2607: (조사당시) 부채유무-3.개인적으로 빌린 돈
// h**2608: (조사당시) 부채잔액-3.개인적으로 빌린 돈
// h**2610: (조사당시) 부채유무-4.전세금,임대보증금 받은 것
// h**2611: (조사당시) 부채잔액-4.전세금,임대보증금 받은 것 
// h**2613: (조사당시) 부채유무-5.미리 타고 앞으로 부어야할 계
// h**2614: (조사당시) 부채잔액-5.미라 타고 앞으로 부어야할 계
// h**2616: (조사당시) 부채유무-6.기타
// h**2617: (조사당시) 부채잔액-6.기타

// 결측치 처리 //
recode h222602 h222605 h222608 h222611 h222614 h222617(-1=.) 

gen deb_y=1 if h222601==1 | h222604==1 | h222607==1 | h222610==1 | h222613==1 | h222616==1 
lab var deb_y "부채 유무"
gen deb1 = h222602 
lab var deb1 "금융기관부채액"
gen deb2 = h222605 
lab var deb2 "비금융기관 부채액"
gen deb3 = h222608 
lab var deb3 "개인적으로 빌린 돈 액수"
gen deb4 = h222611 
lab var deb4 "전세금,임대보증금 받은 액수"
gen deb5 = h222614 
lab var deb5 "미리 타고 앞으로 부어야 할 계"
gen deb6 = h222617 
lab var deb6 "기타 부채액"
egen deb=rowtotal(deb1-deb6), m
lab var deb "총 부채액"

tab1 fin_y deb_y
sum fin deb

save "D:\klips\Stata\data\exaple.dta", replace 